NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Facet.STLImportBuilder Class Reference

The STL file import builder. More...

Inheritance diagram for NXOpen.Facet.STLImportBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AngularToleranceTypes { Coarse, Medium, Fine }
 The angular tolerance types More...
 
enum  FacetBodyTypes { Psm, Nx, Jt }
 These represent the type of body that will get created on importing the STL file More...
 
enum  STLFileUnitsTypes { Meters, Millimeters, Inches }
 The STL file units types More...
 

Properties

unsafe
NXOpen.Facet.STLImportBuilder.AngularToleranceTypes 
AngularTolerance [get, set]
 Returns or sets the angular tolerance More...
 
unsafe bool CleanUp [get, set]
 Returns or sets the option to clean up all mesh defects on import More...
 
unsafe
NXOpen.Facet.STLImportBuilder.FacetBodyTypes 
FacetBodyType [get, set]
 Returns or sets the facet body type More...
 
unsafe string File [get, set]
 Returns or sets the STL file More...
 
unsafe bool HideSmoothEdges [get, set]
 Returns or sets the indicator for whether to hide smooth edges More...
 
unsafe double MinimumAngleFoldedFacets [get, set]
 Returns or sets the value for minimum angle between adjacent facets to define folded facets. More...
 
unsafe int MinimumFacetNumber [get, set]
 Returns or sets the value for minimum number of facets for a STL file to be imported More...
 
unsafe bool ShowInformationWindow [get, set]
 Returns or sets the indicator for whether to show information window More...
 
unsafe
NXOpen.Facet.STLImportBuilder.STLFileUnitsTypes 
STLFileUnits [get, set]
 Returns or sets the STL file units More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

The STL file import builder.

Inputs to this class can be convergent objects.

To create a new instance of this class, use NXOpen.Facet.FacetedBodyCollection.CreateSTLImportBuilder

Default values.

Property Value

AngularTolerance

Medium

FacetBodyType

Psm

HideSmoothEdges

1

MinimumAngleFoldedFacets

15.0

MinimumFacetNumber

100

STLFileUnits

Millimeters

ShowInformationWindow

0

Created in NX6.0.0

Member Enumeration Documentation

The angular tolerance types

Enumerator
Coarse 
Medium 
Fine 

These represent the type of body that will get created on importing the STL file

Enumerator
Psm 

Import to Facet Brep format

Nx 

Import To NX Facet Format

Jt 

Import to JT format

The STL file units types

Enumerator
Meters 
Millimeters 
Inches 

Property Documentation

unsafe NXOpen.Facet.STLImportBuilder.AngularToleranceTypes NXOpen.Facet.STLImportBuilder.AngularTolerance
getset

Returns or sets the angular tolerance

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.Facet.STLImportBuilder.CleanUp
getset

Returns or sets the option to clean up all mesh defects on import

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Facet.STLImportBuilder.FacetBodyTypes NXOpen.Facet.STLImportBuilder.FacetBodyType
getset

Returns or sets the facet body type

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe string NXOpen.Facet.STLImportBuilder.File
getset

Returns or sets the STL file

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling") OR nx_masterfem ("Finite Element Modeling")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling") OR nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.Facet.STLImportBuilder.HideSmoothEdges
getset

Returns or sets the indicator for whether to hide smooth edges

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe double NXOpen.Facet.STLImportBuilder.MinimumAngleFoldedFacets
getset

Returns or sets the value for minimum angle between adjacent facets to define folded facets.

Created in NX11.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe int NXOpen.Facet.STLImportBuilder.MinimumFacetNumber
getset

Returns or sets the value for minimum number of facets for a STL file to be imported

Created in NX11.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe bool NXOpen.Facet.STLImportBuilder.ShowInformationWindow
getset

Returns or sets the indicator for whether to show information window

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Facet.STLImportBuilder.STLFileUnitsTypes NXOpen.Facet.STLImportBuilder.STLFileUnits
getset

Returns or sets the STL file units

Created in NX6.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM") OR nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.